%{!?python_version: %define python_version %(%{__python} -c "from distutils.sysconfig import get_python_version; print get_python_version()")}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		mumbles
Version:	0.4
Release:	12%{?dist}
Summary:	A plugin driven DBus based notification system for the Gnome desktop

Group:		User Interface/Desktops
License:	GPLv2
URL:		http://www.mumbles-project.org
Source0:	http://downloads.sourceforge.net/mumbles/mumbles_%{version}-1.tar.gz
#		The default setup.py uses src as the python package name and doesn't
#		have the correct search path. Submitted upstream id #2307852
Patch0:		mumbles-sitedir.patch
Patch1:		mumbles-firefox-uri.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python
BuildRequires:	python-setuptools-devel
BuildRequires:	desktop-file-utils

BuildArch:	noarch

Requires:	pygtk2 dbus dbus-python pycairo pygtk2-libglade python-setuptools

%description
Mumbles is a plugin driven, DBus based notification system written for the
Gnome desktop. Similar to libnotify notifications and Growl for OSX, mumbles
aims to provide a modern notification system for the GNU/Linux Desktop.

%prep
%setup -q -n mumbles-%{version}
%patch0 -p1 -b .sitedir
%patch1 -p1 -b .firefoxuri

# small fix to avoid warning from desktop-file-install
sed -i 's!mumbles.png!mumbles!' bin/mumbles.desktop

%build

# build the plugins
find -name '*.egg' | xargs rm -f
pushd src/plugins/eggs
for plugin in *
do
  pushd "$plugin"
  python setup.py bdist_egg
  cp dist/*-py%{python_version}.egg ../../
  popd
done
popd

CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

desktop-file-install	\
	--dir %{buildroot}%{_datadir}/applications	\
	--copy-name-to-generic-name			\
	--delete-original				\
	--remove-category=Application			\
	--add-category="GNOME;GTK;"			\
	%{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install \
	--dir %{buildroot}%{_sysconfdir}/xdg/autostart \
	--copy-name-to-generic-name   \
	--remove-category=Application   \
	--add-category="GNOME;GTK;TrayIcon;"  \
	--add-only-show-in="GNOME;XFCE;"  \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS README
%{_bindir}/%{name}
%{_bindir}/mumbles-send
%{python_sitelib}/%{name}-%{version}-py%{python_version}.egg-info
%{python_sitelib}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png
%{_sysconfdir}/xdg/autostart/%{name}.desktop


%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 10 2009 Tim Waugh <twaugh@redhat.com> 0.4-11
- Rebuild the plugins at build time (bug #505070).

* Mon Jun  8 2009 John Anderson <john.e.anderson@gmail.com> - 0.4-10
- Fixed path to make mumbles run on x86_64 bug #479158
- Security fix for Firefox plugin bug #479171
- Added buildrequires to fix bug #481188

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan  4 2009 John Anderson <john.e.anderson@gmail.com> - 0.4-8
- Added GNOME and GTK categories to desktop file

* Sat Jan  3 2009 John Anderson <john.e.anderson@gmail.com> - 0.4-7
- Added desktop-file-install back

* Sat Jan  3 2009 John Anderson <john.e.anderson@gmail.com> - 0.4-6
- Fixes from review comments #12-15
- Corrected source0 timestamp
- Changed group to User Interface/Desktops
- Removed unneeded update-desktop-database
- desktop-file-install cleanup

* Tue Dec 23 2008 John Anderson <john.e.anderson@gmail.com> - 0.4-5
- Added python version to files section for python 2.6 compatibility
- Added fix for desktop file per comment #10

* Sun Dec 21 2008 John Anderson <john.e.anderson@gmail.com> - 0.4-4
- Modified patch line per review comment #8

* Thu Nov 20 2008 John Anderson <john.e.anderson@gmail.com> - 0.4-3
- Fixed buildroot macro per comment #5

* Wed Nov 19 2008 John Anderson <john.e.anderson@gmail.com> - 0.4-2
- Changes from review comments #1 and #2
- macro cleanup
- fixed BuildRequires

* Fri Nov 14 2008 John Anderson <john.e.anderson@gmail.com> - 0.4-1
- Initial build
